## org.apache.mahout.clustering.streaming.mapreduce
Class StreamingKMeansMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Writable,VectorWritable,org.apache.hadoop.io.IntWritable,CentroidWritable>
          org.apache.mahout.clustering.streaming.mapreduce.StreamingKMeansMapper

    public class StreamingKMeansMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Writable,VectorWritable,org.apache.hadoop.io.IntWritable,CentroidWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`StreamingKMeansMapper()`

Method Summary
`void` `cleanup(org.apache.hadoop.mapreduce.Mapper.Context context)`
`void` `map(org.apache.hadoop.io.Writable key, VectorWritable point, org.apache.hadoop.mapreduce.Mapper.Context context)`
`void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamingKMeansMapper

    public StreamingKMeansMapper()

Method Detail

### setup

    public void setup(org.apache.hadoop.mapreduce.Mapper.Context context)

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Writable,VectorWritable,org.apache.hadoop.io.IntWritable,CentroidWritable>`

### map

    public void map(org.apache.hadoop.io.Writable key,
                    VectorWritable point,
                    org.apache.hadoop.mapreduce.Mapper.Context context)

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Writable,VectorWritable,org.apache.hadoop.io.IntWritable,CentroidWritable>`

### cleanup

    public void cleanup(org.apache.hadoop.mapreduce.Mapper.Context context)
                 throws IOException,
                        InterruptedException

  Overrides:
    `cleanup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Writable,VectorWritable,org.apache.hadoop.io.IntWritable,CentroidWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.